Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » eclipse version for mac os 10.6?
eclipse version for mac os 10.6? [message #1719172] Tue, 05 January 2016 19:33 Go to next message
keni lu is currently offline keni luFriend
Messages: 3
Registered: January 2016
Junior Member
Trying to install Eclipse 4.4 under Mac OS 10.6, using the installer app, I get the error message that JVM 1.7 or later is required. So:

- What's the most recent version of Eclipse that I could run, under Mac OS 10.6 and the 1.6.65 JRE?

- Or, maybe the installer needs a recent JRE but Eclipse doesn't? Could I install 4.4 from the command line?

- Or, could I install a current JDK (and JRE), and then use that JRE to run the installer and Eclipse?

I'm not a developer -- I just want Eclipse to write Python to do statistics -- so the less messing around I do from the command line, the more stable my machine will be.

Thanks for any help!


Re: eclipse version for mac os 10.6? [message #1719174 is a reply to message #1719172] Tue, 05 January 2016 19:50 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3413
Registered: July 2009
Senior Member

http://download.eclipse.org recommends Java SE 7 or greater for the current version, Mars.1 (which includes Eclipse 4.5.1). Go ahead and install the latest you can get.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: eclipse version for mac os 10.6? [message #1719176 is a reply to message #1719172] Tue, 05 January 2016 20:38 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 485
Registered: August 2014
Senior Member
If possible, you should upgrade your OS X to version 10.7.3 or newer. Oracle Java does not support older versions of the operating system, neither does a new enough Apple Java exist.

After upgrading, get the newest Oracle Java from the Oracle download page, and use the installer with it.


--

Tauno Voipio
Re: eclipse version for mac os 10.6? [message #1719178 is a reply to message #1719176] Tue, 05 January 2016 21:06 Go to previous messageGo to next message
keni lu is currently offline keni luFriend
Messages: 3
Registered: January 2016
Junior Member
Updating the system isn't a great choice right now -- everything works, the change post- OS 10.6 is substantial, and the machine isn't very fast anyway.

So -- if I *don't* have Java 7, does someone know what the newest version of Eclipse is that I can run?

(And, yes, the problem is that Apple doesn't provide a newer Java for this old OS, and neither does Oracle provide an installer. I think there are workarounds to get a newer JDK on my machine, but that's definitely not my first choice.)
Re: eclipse version for mac os 10.6? [message #1719180 is a reply to message #1719178] Tue, 05 January 2016 22:14 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3799
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 01/05/2016 02:06 PM, keni lu wrote:
> Updating the system isn't a great choice right now -- everything works,
> the change post- OS 10.6 is substantial, and the machine isn't very fast
> anyway.
>
> So -- if I *don't* have Java 7, does someone know what the newest
> version of Eclipse is that I can run?
>
> (And, yes, the problem is that Apple doesn't provide a newer Java for
> this old OS, and neither does Oracle provide an installer. I think there
> are workarounds to get a newer JDK on my machine, but that's definitely
> not my first choice.)

There's an option to back up to an Eclipse version that will work on
Java 6. I think the latest one would have been Indigo (or maybe Juno
too, but I don't think so). Indigo was a great release. Depending on
what you plan to do, you may be quite satisfied with it.
Re: eclipse version for mac os 10.6? [message #1719280 is a reply to message #1719180] Wed, 06 January 2016 18:42 Go to previous messageGo to next message
Eric Rizzo is currently offline Eric RizzoFriend
Messages: 3071
Registered: July 2009
Senior Member
The Eclipse installer requires at least Java 1.7, there are no older versions of it that will work with 1.6. But I think Mars was the first release that had a hard requirement for 1.7+, so you should be able to download a Luna package and use that (Eclipse package releases are in alphabetical order by year, eg Indigo=2011, Juno=2012, Kepler=2013, Luna=2014, Mars=2015, Neon=2016...)
https://www.eclipse.org/downloads/packages/release/luna/sr2

Just extract the archive of one of those downloads into a local user directory and run the eclipse executable. If that doesn't work, follow the instructions to point eclipse.ini to your installation of JDK.

[Updated on: Wed, 06 January 2016 18:45]

Report message to a moderator

Re: eclipse version for mac os 10.6? [message #1719434 is a reply to message #1719280] Thu, 07 January 2016 20:54 Go to previous message
keni lu is currently offline keni luFriend
Messages: 3
Registered: January 2016
Junior Member
Russell Bateman, Eric Rizzo, thanks! Those older versions work.

In case anyone ends up here searching for this answer, I'll say that both Eclipse Indigo SDK Version: 3.7 Build id: M20120208-0800, and Eclipse version Luna, Service Release 2 (4.4.2), Build id: 20150219-0600, run under Mac OS 10.6.8 and Java 1.6.0_65. Or at least run well enough to compile and run "Hello world" in Java.

PyDev doesn't so my personal quest continues, but thank you all!

Previous Topic:Starting a new, embedded project, new to eclipse
Next Topic:Eclipse and Ubuntu Launcher
Goto Forum:
  


Current Time: Mon Jun 17 00:34:16 GMT 2019

Powered by FUDForum. Page generated in 0.03398 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top